.loading {
    height: 400px;
    position: relative;
    
    span {
        position: absolute;
        height: 80px;
        width: 80px;
        border-radius: 50%;
        border: 8px solid white;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
    
    .front {
        z-index: 9;
        border-color: #eee transparent #eee #eee;
        animation: rotate linear infinite .6s;
    }
}

.loading.inline {
    height: 15px;
    display: inline-block;
    width: 15px;
    margin-right: 2px;

    span {
        height: 100%;
        width: 100%;
        border: 3px solid rgba(255, 255, 255, 0.3);
    }

    .front {
        border-color: rgba(255, 255, 255, 0.5) transparent rgba(255, 255, 255, 0.5) rgba(255, 255, 255, 0.5);
    }
}

.loading.inline.grey {
    height: 12px;
    width: 12px;

    span {
        border: 1px solid transparent;
    }

    .front {
        border-color: #888 transparent #888 #888;
    }
}

@keyframes rotate {
    0% {
        transform: translate(-50%, -50%) rotate(0deg);
    }
    50% {
        transform: translate(-50%, -50%) rotate(190deg);
    }
    100% {
        transform: translate(-50%, -50%) rotate(360deg);
    }
}